Package io.papermc.paper.util

# Class JarManifests

java.lang.Object
io.papermc.paper.util.JarManifests

public final class JarManifests extends Object
Modified version of jcabi-manifests

## Field Summary

Fields
Modifier and Type
Field
Description
`static final JarManifests`
`JAR_MANIFESTS`
`static final Map<String,String>`
`MANIFEST_MAP`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Map<@NotNull String,@NotNull String>`
`getManifestMap()`
Get map containing entries from all manifests
`@NotNull Collection<@NotNull InputStream>`
`getManifestStreams()`
Get collection containing all META-INF/MANIFEST.MF streams

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JAR_MANIFESTS

public static final JarManifests JAR_MANIFESTS

### MANIFEST_MAP

public static final Map<String,String> MANIFEST_MAP

## Method Details

### getManifestStreams

@NotNull public @NotNull Collection<@NotNull InputStream> getManifestStreams() throws IOException
Get collection containing all META-INF/MANIFEST.MF streams

Throws:
  `IOException` - if unable to get resources from classloader

### getManifestMap

@NotNull public @NotNull Map<@NotNull String,@NotNull String> getManifestMap() throws IOException
Get map containing entries from all manifests

Throws:
  `IOException` - if unable to get manifest streams